Bug 873375 - Fedup build does not exist in F16
Fedup build does not exist in F16
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fedup (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
RejectedBlocker https://fedoraproject...
: CommonBugs, ReleaseNotes, Reopened
Depends On: 872044
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-05 11:49 EST by Sergio Monteiro Basto
Modified: 2013-02-13 21:30 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 872044
Environment:
Last Closed: 2013-02-13 21:30:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sergio Monteiro Basto 2012-11-05 11:49:14 EST
+++ This bug was initially created as a clone of Bug #872044 +++

In order to do upgrades from F16 , we need a build of fedup in the F16 repositories.

Thanks,
Comment 1 Tim Flink 2012-11-08 11:23:46 EST
At the moment, there are no plans to support direct upgrade from F16 to F18 with fedup. It may happen in the future but there are no current plans to do that.

The recommended upgrade procedure right now would be to use anaconda or preupgrade to upgrade to F17 before using fedup to upgrade from F17 to F18.
Comment 2 Sergio Monteiro Basto 2012-11-08 18:47:13 EST
OK
Comment 3 Adam Williamson 2012-11-09 20:50:01 EST
if so, we should document this. in fact, we _really_ need to document the whole fedup Thing. is someone organizing co-ordination with the docs team?
Comment 4 Kamil Páral 2013-01-11 08:07:19 EST
This should go into release notes instead of common bugs. Adding label.
Comment 5 Sergio Monteiro Basto 2013-01-11 12:45:01 EST
Change to but type enhancement.

My point 6 (of http://lists.fedoraproject.org/pipermail/devel/2012-December/175284.html) 

Other thing, that could be not ready for F18 release date, but is
important, in my point of view, is Fedup be able to upgrade F16 to F18 .

If not possible , feel free to close it , but lets us know why -OK ?
Comment 6 Sergio Monteiro Basto 2013-01-11 12:45:38 EST
Change to bug type enhancement.

My point 6 (of http://lists.fedoraproject.org/pipermail/devel/2012-December/175284.html) 

Other thing, that could be not ready for F18 release date, but is
important, in my point of view, is Fedup be able to upgrade F16 to F18 .

If not possible , feel free to close it , but lets us know why, OK ?
Comment 7 Will Woods 2013-01-14 11:29:19 EST
fedup commit 9225b62 should let it build on F16:

  https://github.com/wgwoods/fedup/commit/9225b62

but in all the tests I tried the upgrade itself won't start.

Something about the difference between F18 systemd and F18 systemd is drastic enough that F16 can't/won't switch into upgrade.img to start the upgrade, and instead it just hangs. If that gets fixed, we can do official F16 builds.

-----

Unless that bug gets fixed, the official recommendation is: upgrade to F17 first using the existing upgrade methods. (You can also install F18 fresh and keep your existing /home partition, of course).

-----

There might be some unofficial hacks you could do to make fedup work on F16, but I haven't found any yet.
Comment 8 Sergio Monteiro Basto 2013-01-15 14:39:40 EST
(In reply to comment #7)
> fedup commit 9225b62 should let it build on F16:
> 
>   https://github.com/wgwoods/fedup/commit/9225b62
> 
> but in all the tests I tried the upgrade itself won't start.
> 
> Something about the difference between F18 systemd and F18 systemd is
> drastic enough that F16 can't/won't switch into upgrade.img to start the
> upgrade, and instead it just hangs. If that gets fixed, we can do official
> F16 builds.

Hum thanks for your input should we change this bug to systemd ? to see if someone of systemd help out ?
Comment 9 Will Woods 2013-01-15 15:46:20 EST
No, you should reproduce the problem (i.e. set up a F16 system, install fedup, try to upgrade) and then file a new bug.

Put this bug ID (873375) in the "Blocks:" field of that new systemd bug.
Comment 10 Fedora End Of Life 2013-01-16 19:49:18 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Fedora End Of Life 2013-02-13 21:30:08 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.